<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlOpcode_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlOpcode_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Command op-code ID contains 4 fields (16 bits) Bit 10-15: Reserved Bit 8-9: Operation - Set/Get. Bit 4-7: Operation Type Bit 0-3: Direction.  
 <a href="structrl_opcode__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_protocol.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a6f4bc23687356130a56d5653ab9429b7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f4bc23687356130a56d5653ab9429b7"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_opcode__t.html#a6f4bc23687356130a56d5653ab9429b7">b4Direction</a>: 4</td></tr>
<tr class="memdesc:a6f4bc23687356130a56d5653ab9429b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Direction. <br /></td></tr>
<tr class="separator:a6f4bc23687356130a56d5653ab9429b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad5c802f7de74e4ee499200493397a84"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aad5c802f7de74e4ee499200493397a84"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_opcode__t.html#aad5c802f7de74e4ee499200493397a84">b2MsgType</a>: 2</td></tr>
<tr class="memdesc:aad5c802f7de74e4ee499200493397a84"><td class="mdescLeft">&#160;</td><td class="mdescRight">Msg Type. <br /></td></tr>
<tr class="separator:aad5c802f7de74e4ee499200493397a84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41fb75404e4148f0f6861acea14639eb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41fb75404e4148f0f6861acea14639eb"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_opcode__t.html#a41fb75404e4148f0f6861acea14639eb">b10MsgId</a>: 10</td></tr>
<tr class="memdesc:a41fb75404e4148f0f6861acea14639eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Message ID. <br /></td></tr>
<tr class="separator:a41fb75404e4148f0f6861acea14639eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Command op-code ID contains 4 fields (16 bits) Bit 10-15: Reserved Bit 8-9: Operation - Set/Get. Bit 4-7: Operation Type Bit 0-3: Direction. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_protocol.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
